{
	"format_version": "1.8.0",
	"animations": {
		"animation.tiny_iron_golem.attack": {
			"loop": true,
			"animation_length": 0.4583,
			"bones": {
				"arm0": {
					"rotation": {
						"0.0": [-27.5, 0, 0],
						"0.125": [-147.5, 0, 0],
						"0.3333": [-27.5, 0, 0]
					}
				},
				"arm1": {
					"rotation": {
						"0.0": [-25, 0, 0],
						"0.125": [-145, 0, 0],
						"0.3333": [-25, 0, 0]
					}
				}
			}
		},
		"animation.tiny_iron_golem.flower": {
			"loop": true,
			"bones": {
				"arm0": {
					"rotation": ["-45.8 + ((0.25 * math.abs(math.mod(variable.offer_flower_tick, 70) - 35) - 17.5) / 35)", 0, 0]
				}
			}
		},
		"animation.tiny_iron_golem.look_at_target": {
			"loop": true,
			"bones": {
				"head": {
					"relative_to": {
						"rotation": "entity"
					},
					"rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", 0],
					"scale": 0.4
				}
			}
		},
		"animation.tiny_iron_golem.move": {
			"loop": true,
			"bones": {
				"arm0": {
					"rotation": ["-variable.modified_tcos0 * 2.0", 0, 0]
				},
				"arm1": {
					"rotation": ["variable.modified_tcos0 * 2.0", 0, 0]
				}
			}
		},
		"animation.tiny_iron_golem.move_to_target": {
			"loop": true,
			"bones": {
				"arm0": {
					"rotation": ["((math.abs(math.mod(query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * 30.0", 0, 0]
				},
				"arm1": {
					"rotation": ["((math.abs(math.mod(query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * -30.0", 0, 0]
				}
			}
		},
		"animation.tiny_iron_golem.walk": {
			"loop": true,
			"bones": {
				"body": {
					"rotation": [0, 0, "variable.modified_tcos0 / 1.5"]
				},
				"head": {
					"rotation": [0, 0, "variable.modified_tcos0 / 1.5"]
				},
				"leg0": {
					"rotation": ["(math.cos(query.modified_distance_moved * 131.75) * 40.0)", 0, 0]
				},
				"leg1": {
					"rotation": ["(math.cos(query.modified_distance_moved * 131.75 + 180) * 40.0)", 0, 0]
				}
			}
		},
		"animation.tiny_iron_golem.walk_to_target": {
			"loop": true,
			"bones": {
				"body": {
					"rotation": [0, 0, "2.0 * (math.abs(math.mod(query.modified_distance_moved + 6, 7.78) - 3.89) - 1.945)"]
				},
				"head": {
					"rotation": [0, 0, "2.0 * (math.abs(math.mod(query.modified_distance_moved + 6, 7.78) - 3.89) - 1.945)"]
				},
				"leg0": {
					"rotation": ["(math.cos(query.modified_distance_moved * 63.75) * 40.0)", 0, 0]
				},
				"leg1": {
					"rotation": ["(math.cos(query.modified_distance_moved * 63.75 + 180) * 40.0)", 0, 0]
				}
			}
		},
		"animation.tiny_iron_golem.scale": {
			"loop": "hold_on_last_frame",
			"bones": {
				"body": {
					"position": [0, -19, 0],
					"scale": 0.4
				}
			}
		},
		"animation.tiny_iron_golem.sit": {
			"loop": "hold_on_last_frame",
			"bones": {
				"body": {
					"position": [0, -4, 0]
				},
				"arm0": {
					"rotation": [-36.50931, 11.00072, 10.26078]
				},
				"arm1": {
					"rotation": [-41.50931, -11.00072, -10.26078]
				},
				"leg0": {
					"rotation": [-90, 0, 0]
				},
				"leg1": {
					"rotation": [-90, 0, 0]
				}
			}
		}
	}
}